Project

General

Profile

Bug #2681

The audacious 4.0.1 is not adopting the desktop themes on a mate-desktop.

pavelsayekat - over 2 years ago - . Updated over 2 years ago.

Status:
not-a-bug
Priority:
bug
Assignee:
-
% Done:

0%


Description

It used to adopt the themes applied to the system on a mate desktop, for now it remains to its classic theme on the 4.0.1 update.

$ sudo pacman -Qi audacious
Name : audacious
Version : 4.0.1-1
Description : Lightweight, advanced audio player focused on audio quality
Architecture : x86_64
URL : https://audacious-media-player.org/
Licenses : BSD
Groups : None
Provides : audacious-player
Depends On : qt5-base glib2 libguess libsm audacious-plugins hicolor-icon-theme desktop-file-utils
Optional Deps : unzip: zipped skins support [installed]
Required By : audacious-vortigo-themes
Optional For : None
Conflicts With : audacious-player
Replaces : audacious-player
Installed Size : 2.05 MiB
Packager : Evangelos Foutras <>
Build Date : Tue 07 Apr 2020 04:14:26 AM +06
Install Date : Wed 08 Apr 2020 02:05:20 AM +06
Install Reason : Explicitly installed
Install Script : No
Validated By : Signature

History

#1

Updated by bill-auger over 2 years ago

the most likely reason for is that you are using is a
GTK2-only theme, and that program expects a GTK3 theme - today
themes need to have both GTK2 and GTK3 versions in order to look
the same on every program - some themes do not have both versions
- i would try switching to adawita, and see if audacious respects
that

secondly, i see that audacious is a QT5 program, which may not
respect any GTK theme - you may need to use qt5ct and select GTK
mode

#2

Updated by pavelsayekat over 2 years ago

I use arc theme, it does have both gtk2 and gtk3 support, every other program adopts the theme in their interface while applied to the system including audacious as well, but not since last update.

#3

Updated by bill-auger over 2 years ago

did you try other themes such as adawita - it could be the theme that broke - i just tried audacious; and it uses my GTK theme as expected - you could try using qt5ct in GTK mode, as i do - that will make every QT5 program follow any GTK2 theme

install the 'qt5ct' and 'qt5-styleplugins' packages
run the 'qt5ct' program and select 'gtk2' from the style selector and press "OK"

then add this line to /etc/environment, and reboot
QT_QPA_PLATFORMTHEME='qt5ct'

#4

Updated by pavelsayekat over 2 years ago

That solved the issue. So the bug is invalid now.

#5

Updated by bill-auger over 2 years ago

  • Status changed from unconfirmed to not-a-bug

excellent :)

Also available in: Atom PDF